Jump to: |  | OMake Home • Guide Home • Guide (single-page) • Contents (short) • Contents (long)
Index: |  | All • Variables • Functions • Objects • Targets • Options

# Index

- –absname, A.3.20
- –all-dependencies, A.3.15
- –configure, A.3.9
- –depend, A.3.8
- –dotomake, A.3.11
- –force-dotomake, A.3.10
- –install, A.3.17
- –install-all, A.3.18
- –install-force, A.3.19
- –output-at-end, A.2.11
- –output-normal, A.2.8
- –output-only-errors, A.2.10
- –output-postpone, A.2.9
- –print-dependencies, A.3.13
- –print-exit, A.2.6
- –print-status, A.2.5
- –progress, A.2.4
- –show-dependencies, A.3.14
- –verbose, A.2.7
- –verbose-dependencies, A.3.16
- -j, A.3.12
- -k, A.3.1
- -n, A.3.2
- -o, A.2.12
- -P, A.3.4
- -p, A.3.3
- -R, A.3.5
- -S, A.2.2
- -s, A.2.1
- -t, A.3.6
- -U, A.3.7
- -w, A.2.3
- .BUILD_BEGIN, 12.1
- .BUILD_FAILURE, 12.1
- .BUILD_SUCCESS, 12.1
- .BUILDORDER, 9.3.5
- .DEFAULT, 7.7, 7.12.1
- .INCLUDE, 7.9
- .ORDER, 9.3.5
- .omakerc, A.8
- .PHONY, 5.3, 7.10, 7.11.3, 7.12.1, 7.12.2
- .RULE, 5.3
- .SCANNER, 3.4.3, 7.6, 7.11.2
- .SUBDIRS, 3, 7.8
- .SUBDIRS bodies, 3.5
- :effects:, 7.5.2
- :exists:, 7.5.1
- :scanner:, 7.6.1
- :value:, 7.5.3
- $&, B.2.2.5
- $*, 7, B.2.2.5
- $+, 7, B.2.2.5
- $<, 7, B.2.2.5
- $>, B.2.2.5
- $@, 7, B.2.2.5
- $^, 7, B.2.2.5
- ABORT_ON_COMMAND_ERROR, 12.4.1
- ABORT_ON_DEPENDENCY_ERRORS, 12.6.4
- AC_MSG_CHECKING, 13.2
- AC_MSG_ERROR, 13.2
- AC_MSG_RESULT, 13.2
- AC_MSG_WARN, 13.2
- AC_TRY_COMPILE, 13.2
- AC_TRY_LINK, 13.2
- AC_TRY_RUN, 13.2
- AR, 12.5.2
- Array, 11.1.7
- AS, 12.5.2
- ASFLAGS, 12.5.2
- ASOUT, 12.5.2
- absname, 9.1.9
- accept, 9.8.30
- add, 8.4.3
- add-project-directories, 9.6.2
- add-wrapper, 8.3.25
- addprefix, 8.3.23
- addsuffix, 8.3.17
- addsuffixes, 8.3.19
- aliases, 14.2
- and, 8.2.3
- apply, 8.5.2
- applya, 8.5.3
- array, 8.3.1
- arrays, 4.3
- asr, 8.4.3
- awk, 3.4.3, 9.11.5
- BIBTEX, 12.7.1
- BUILD_SUMMARY, 8.1
- BYTE_ENABLED, 12.6.2
- basename, 9.1.4
- bg, 10.10.2
- bind, 9.8.28
- break, 8.3.41
- build model, 3
- CAMLP4, 12.6.2
- CC, 12.5.2
- CCOUT, 12.5.2
- CFLAGS, 12.5.2
- CGeneratedFiles, 12.5.3.1
- Channel, 11.1.15
- CheckCHeader, 13.1.6
- CheckCLib, 13.1.7
- CheckProg, 13.1.8
- CL_FOUND, 12.5.1.2
- ConfMsgChecking, 13.1.1
- ConfMsgError, 13.1.2
- ConfMsgFound, 13.1.3
- ConfMsgResult, 13.1.1
- ConfMsgWarn, 13.1.2
- ConfMsgYesNo, 13.1.3
- CPP, 12.5.2
- CProgram, 12.5.4.5
- CProgramCopy, 12.5.4.6
- CProgramInstall, 12.5.4.7
- CWD, 12.4.1
- CXX, 12.5.2
- CXXFLAGS, 12.5.2
- CXXProgram, 12.5.4.8
- CXXProgramInstall, 12.5.4.8
- c-escaped, 8.3.12
- capitalize, 8.3.33
- case, 8.2.6
- cat, 9.11.2
- cats and dogs, 3.4
- cd, 10.9.2
- chmod, 9.5.9
- chown, 9.5.10
- class, B.2.2.1
- classes, 4.12
- close, 9.8.5
- cmp-versions, 12.2.3
- concat, 8.3.3
- conditionals, 4.9
- connect, 9.8.31
- create-lazy-map, 8.5.4
- create-map, 8.5.4
- DefineCommandVars, 12.2.4
- DIRSEP, 12.4.2
- Dir, 11.1.14
- DVIPDFM, 12.7.1
- DVIPDFMFLAGS, 12.7.1
- DVIPS, 12.7.1
- DVIPSFLAGS, 12.7.1
- decode-uri, 8.3.13
- default, 8.2.6
- defined, 8.2.10
- defined-env, 8.2.11
- dependencies, 12.3.1
- dependencies-all, 12.3.1
- dependencies-proper, 12.3.1
- digest, 9.2.5
- digest-path, 9.2.7
- dir, 9.1.1
- dirname, 9.1.5
- dirof, 9.1.7
- div, 8.4.3
- dup, 9.8.12
- dup2, 9.8.13
- EMPTY, 12.4.1
- EXE, 12.4.2
- EXT_ASM, 12.4.2
- EXT_LIB, 12.4.2
- EXT_OBJ, 12.4.2
- Exception, 11.1.20
- echo, 10.9.1
- else, 8.2.5, B.2.2.1
- elseif, 8.2.5, B.2.2.1
- encode-uri, 8.3.13
- eprint, 9.9
- eprintln, 9.9
- eprintv, 9.10
- eprintvln, 9.10
- eq, 8.4.4
- equal, 8.2.2
- exists-in-path, 9.2.4
- exit, 8.2.9
- export, 5.3, 8.3.39, B.2.2.1
- extends, B.2.2.1
- File, 11.1.13
- Float, 11.1.5
- Fun, 11.1.9
- fg, 10.10.3
- fgets, 9.8.34
- file, 9.1.1
- file-check-sort, 9.3.6
- file-exists, 9.3.1
- file-sort, 9.3.5
- filter, 8.3.31
- filter-exists, 9.3.3
- filter-out, 8.3.32
- filter-proper-targets, 9.3.3
- filter-targets, 9.3.3
- find, 9.7.2
- find-build-targets, 12.3.3
- find-in-path, 9.2.6
- find-targets-in-path, 9.3.4
- find-targets-in-path-optional, 9.3.4
- float, 8.4.2
- flush, 9.8.11
- fopen, 9.8.4
- foreach, 8.6.1
- fprint, 9.9
- fprintln, 9.9
- fprintv, 9.10
- fprintvln, 9.10
- fsubst, 9.11.6
- fullname, 9.1.8
- fun, 8.5.1
- functions, 4.5
- GCC_FOUND, 12.5.1.1
- Group, 9.11.20
- GXX_FOUND, 12.5.1.1
- ge, 8.4.4
- get-registry, 8.2.15
- getchar, 9.8.32
- getenv, 8.2.12
- getgrgid, 9.11.21
- getgrnam, 9.11.21
- gethostbyname, 9.8.22
- getprotobyname, 9.8.24
- getpwents, 9.11.19
- getpwnam, 9.11.18
- getpwuid, 9.11.18
- gets, 9.8.33
- getservbyname, 9.8.26
- gettimeofday, 9.11.27
- getvar, 8.2.16
- glob, 9.4.1
- gr_gid, 9.11.20
- gr_group, 9.11.20
- gr_mem, 9.11.20
- gr_name, 9.11.20
- grep, 9.11.3
- gt, 8.4.4
- HOME, 8.1
- HOST, 8.1
- Host, 9.8.21
- history, 10.11.1
- homename, 9.1.10
- html-escaped, 8.3.12
- html-pre-escaped, 8.3.12
- html-string, 8.3.16
- INCLUDES, 12.5.2
- INSTALL, 12.4.2
- InChannel, 11.1.16
- InetAddr, 9.8.20
- Int, 11.1.4
- id-escaped, 8.3.12
- if, 4.9, 8.2.5, B.2.2.1
- ignoreeof, 14.1
- in, 9.1.3
- include, 4.7, B.2.2.1
- inheritance, 4.13
- int, 8.4.1
- intersection, 8.3.28
- intersects, 8.3.29
- jobs, 10.10.1
- join, 8.3.10
- kill, 10.10.6
- LATEX, 12.7.1
- LATEXFLAGS, 12.7.1
- LaTeXDocument, 12.7.2.1
- LaTeXDocumentCopy, 12.7.2.3
- LaTeXDocumentInstall, 12.7.2.4
- LD, 12.5.2
- LDFLAGS, 12.5.2
- LDOUT, 12.5.2
- LEX, 12.5.2

- Lexer, 9.11.9
- LIB_FOUND, 12.5.1.2
- LIBS, 12.5.2
- LocalCGeneratedFiles, 12.5.3.1
- LocalOCamlGeneratedFiles, 12.6.5.1
- LocalTeXGeneratedFiles, 12.7.2.2
- Location, 11.1.18
- land, 8.4.3
- le, 8.4.4
- length, 8.3.4
- lex, 9.11.7
- lex-search, 9.11.8
- link, 9.5.6
- link-order sorting, 9.3.5
- listen, 9.8.29
- lnot, 8.4.3
- lockf, 9.8.19
- lor, 8.4.3
- lowercase, 8.3.36
- ls, 9.4.2
- lseek, 9.8.8
- lsl, 8.4.3
- lsr, 8.4.3
- lstat, 9.5.3
- lt, 8.4.4
- lxor, 8.4.3
- MACHINE, 8.1
- MAKEINDEX, 12.7.1
- Map, 11.1.2
- MENHIR_AVAILABLE, 12.6.1
- MENHIR_ENABLED, 12.6.2
- MENHIR_FLAGS, 12.6.3
- mapprefix, 8.3.24
- mapsuffix, 8.3.18
- match, 4.10, 8.2.6, B.2.2.1
- max, 8.4.3
- mem, 8.3.27
- min, 8.4.3
- mkdir, 9.5.1
- mkfifo, 9.8.17
- mod, 8.4.3
- mul, 8.4.3
- NATIVE_ENABLED, 12.6.2
- NCURSES_AVAILABLE, 13.3.1
- NCURSES_CFLAGS, 13.3.1
- NCURSES_CLIBS, 13.3.1
- NCURSES_TERMH_IN_NCURSES, 13.3.1
- NODENAME, 8.1
- Node, 11.1.12
- Number, 11.1.3
- neg, 8.4.3
- not, 8.2.1
- nth, 8.3.5
- nth-hd, 8.3.6
- nth-tl, 8.3.7
- Object, 11.1.1
- OCAML_BYTE_LINK_FLAGS, 12.6.3
- OCAML_CLIBS, 12.6.4
- OCAML_LIB_FLAGS, 12.6.4
- OCAML_LIBS, 12.6.4
- OCAML_LINK_FLAGS, 12.6.3
- OCAML_NATIVE_LINK_FLAGS, 12.6.3
- OCAML_OTHER_LIBS, 12.6.4
- OCAMLC, 12.6.2
- OCAMLCFLAGS, 12.6.3
- OCAMLDEP, 12.6.2
- OCAMLDEP_MODULES, 12.6.2
- OCAMLDEP_MODULES_AVAILABLE, 12.6.1
- OCAMLDEP_MODULES_ENABLED, 12.6.2
- OCAMLDEPFLAGS, 12.6.3
- OCAMLFIND, 12.6.2
- OCAMLFIND_EXISTS, 12.6.1
- OCAMLFINDFLAGS, 12.6.2
- OCAMLFLAGS, 12.6.3
- OCAMLINCLUDES, 12.6.2
- OCAMLLEX, 12.6.2
- OCAMLLEXFLAGS, 12.6.2
- OCAMLLINK, 12.6.2
- OCAMLMKTOP, 12.6.2
- OCAMLOPT, 12.6.2
- OCAMLOPT_EXISTS, 12.6.1
- OCAMLOPTFLAGS, 12.6.3
- OCAMLOPTLINK, 12.6.2
- OCAMLPACKS, 12.6.2
- OCAMLPPFLAGS, 12.6.3
- OCAMLYACC, 12.6.2
- OCAMLYACCFLAGS, 12.6.2
- OCamlGeneratedFiles, 12.6.5.1
- OCamlLibrary, 12.6.6.1
- OCamlLibraryCopy, 12.6.6.3
- OCamlLibraryInstall, 12.6.6.4
- OCamlPackage, 12.6.6.2
- OCamlProgram, 12.6.6.5
- OCamlProgramCopy, 12.6.6.6
- OCamlProgramInstall, 12.6.6.7
- OMAKE_VERSION, 8.1
- OMAKEFLAGS, A.5.1
- OMAKELIB, A.5.2
- OMAKEPATH, 8.1
- OMakeFlags, 12.2.1
- OMakefile, 2.8, 3
- OMakeroot, 2.8, 3, 12.4
- OMakeVersion, 12.2.2
- OS_VERSION, 8.1
- OSTYPE, 8.1
- OutChannel, 11.1.17
- objects, 4.11
- ocaml-escaped, 8.3.12
- ocamldep-omake, 12.6.5.2
- open, 4.7, B.2.2.1
- open-in-string, 9.8.2
- open-out-string, 9.8.3
- or, 8.2.4
- out-string, 9.8.3
- PATHSEP, 12.4.2
- Passwd, 9.11.17
- PDFLATEX, 12.7.1
- PDFLATEXFLAGS, 12.7.1
- PID, 8.1
- Position, 11.1.19
- Protocol, 9.8.23
- pipe, 9.8.16
- print, 9.9
- println, 9.9
- printv, 9.10
- printvln, 9.10
- private., 4.15
- project-directories, 12.3.4
- prompt, 14.1
- prompt-invisible, 9.11.26
- prompt-invisible-begin, 9.11.25
- prompt-invisible-end, 9.11.25
- protected., 4.16
- public., 4.17
- pw_dir, 9.11.17
- pw_gecos, 9.11.17
- pw_gid, 9.11.17
- pw_name, 9.11.17
- pw_passwd, 9.11.17
- pw_shell, 9.11.17
- pw_uid, 9.11.17
- quotations, 4.4
- quote, 8.3.14
- quote-argv, 8.3.15
- READLINE_AVAILABLE, 13.3.2
- READLINE_CFLAGS, 13.3.2
- READLINE_CLIBS, 13.3.2
- READLINE_GNU, 13.3.2
- ROOT, 12.4.1
- Rule, 11.1.10
- RunCProg, 13.1.5
- RuntimeException, 11.1.21
- raise, 8.2.8
- random, 8.3.42
- random-init, 8.3.42
- read, 9.8.6
- readlink, 9.5.8
- regular expressions, 9.11.1
- rehash, 9.2.3
- remove-project-directories, 9.6.3
- removeprefix, 8.3.20
- removesuffix, 8.3.21
- rename, 9.5.5
- replacesuffixes, 8.3.22
- return, 4.5, B.2.2.1
- rev, 8.3.9
- rewind, 9.8.9
- rootname, 9.1.6
- rule, 12.3.5
- rule, options, 7.5
- rule, scoping, 7.11
- rules, bounded implicit, 7.2
- rules, implicit, 7.1
- SCANNER_MODE, 12.4.1
- Sequence, 11.1.6
- Service, 9.8.25
- Shell, 11.1.23
- SNPRINTF_AVAILABLE, 13.3.3
- STDLIB, 8.1
- STDROOT, 12.4.1
- Stat, 9.5.2
- StaticCLibrary, 12.5.4.1
- StaticCLibraryCopy, 12.5.4.2
- StaticCLibraryInstall, 12.5.4.3
- StaticCObject, 12.5.4.4
- StaticCObjectCopy, 12.5.4.4
- StaticCObjectInstall, 12.5.4.4
- StaticCXXLibrary, 12.5.4.9
- StaticCXXLibraryCopy, 12.5.4.9
- StaticCXXLibraryInstall, 12.5.4.9
- String, 11.1.8
- SYSNAME, 8.1
- scan, 9.11.4
- section, 4.8, 7.3, B.2.2.1
- section rule, 7.4
- select, 9.8.18
- set, 8.3.26
- set-close-on-exec-mode, 9.8.15
- set-diff, 8.3.30
- set-nonblock, 9.8.14
- setenv, 8.2.13
- setvar, 8.2.17
- shell, 8.3.38
- socket, 9.8.27
- sorting (link-order), 9.3.5
- split, 8.3.2
- stat, 9.5.3
- stat-reset, 9.3.2
- static., 4.18
- stderr, 9.8.1
- stdin, 9.8.1
- stdout, 9.8.1
- stop, 10.10.4
- string, 8.3.11
- string-escaped, 8.3.12
- sub, 8.4.3
- subdirs, 9.4.3
- subrange, 8.3.8
- suffix, 9.1.11
- switch, 4.10, 8.2.6
- symlink, 9.5.7
- system, 8.3.37
- TARGETS, 8.1
- Target, 11.1.11
- TETEX2_ENABLED, 12.7.1
- TEXDEPS, 12.7.2.1
- TEXINPUTS, 12.7.2.1
- TEXVARS, 12.7.2.1
- TeXGeneratedFiles, 12.7.2.2
- TryCompileC, 13.1.4
- TryLinkC, 13.1.4
- TryRunC, 13.1.4
- target, 12.3.2
- target-exists, 9.3.1
- target-is-proper, 9.3.1
- tell, 9.8.10
- test, 9.7.1
- tgetstr, 9.11.22
- tmpfile, 9.1.2
- truncate, 9.5.11
- try, 8.2.7, B.2.2.1
- UnbuildableException, 11.1.22
- USE_OCAMLFIND, 12.6.2
- USEPDFLATEX, 12.7.1
- USER, 8.1
- uge, 8.4.4
- ugt, 8.4.4
- ule, 8.4.4
- ult, 8.4.4
- umask, 9.5.12
- uncapitalize, 8.3.34
- unlink, 9.5.4
- unsetenv, 8.2.14
- uppercase, 8.3.35
- VERBOSE, 8.1
- VerboseCheckCHeader, 13.1.6
- VerboseCheckCLib, 13.1.7
- value, 4.5, B.2.2.1
- variable definition, A.3.21
- vmount, 2.9, 9.6.1
- wait, 10.10.5
- where, 9.2.2
- which, 9.2.1
- while, 8.3.40, B.2.2.1
- write, 9.8.7
- xterm-escape, 9.11.24
- xterm-escape-begin, 9.11.23
- xterm-escape-end, 9.11.23
- YACC, 12.5.2

Jump to: |  | OMake Home • Guide Home • Guide (single-page) • Contents (short) • Contents (long)
Index: |  | All • Variables • Functions • Objects • Targets • Options